/*
 * (c) Copyright 2002 by Rob Braun
 * All rights reserved.  The file named COPYRIGHT specifies the terms
 * and conditions for redistribution.
 */

#ifndef _XMODULE_H
#define _XMODULE_H

#include <sys/types.h>
#include <sys/time.h>
#include <sys/stat.h>
#ifdef HAVE_SYS_RESOURCE_H
#include <sys/resource.h>
#endif
#include <syslog.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdio.h>
#include <errno.h>
#include "pset.h"
#include "defs.h"

struct module_conf
{
	char   *name;
	pset_h  config;
};

#define XMODULE_REGISTER   "xinetd_sm_register"
#define XMODULE_CONNECT    "xinetd_sm_connect"
#define XMODULE_DISCONNECT "xinetd_sm_disconnect"
#define XMODULE_UNREGISTER "xinetd_sm_unregister"

status_e xinetd_check_module( struct service * sp, const char *func, connection_s *);

#endif /* _XMODULE_H */
